Subject: Git 2.54.0-rc1, subtests of t5310, t5326, t5327

From: <[email-masked]>
Date: Tue, 7 Apr 2026 19:29:50 -0400

I can getting numerous issues in t5310, t5326, t2527 relating to the
following use of --git-dir:

In t5310:
fatal: not a git repository: 'clone.git'
not ok 55 - fetch (full bitmap)
#
#                       git --git-dir=clone.git fetch origin second:second
&&
#                       git rev-parse HEAD >expect &&
#                       git --git-dir=clone.git rev-parse HEAD >actual &&
#                       test_cmp expect actual
#

In t5326 and t5327:
fatal: writev error: Invalid function argument
fetch-pack: unexpected disconnect while reading sideband packet
fatal: early EOF
fatal: fetch-pack: invalid index-pack output
not ok 24 - clone from bitmapped repository
#
#                       rm -fr clone.git &&
#                       git clone --no-local --bare . clone.git &&
#                       git rev-parse HEAD >expect &&
#                       git --git-dir=clone.git rev-parse HEAD >actual &&
#                       test_cmp expect actual
#

It appears that the --git-dir argument is not working properly in this
release. Any opinions?

I would have expected HOME or .gitconfig to have been set or redirected
elsewhere in the test.

--Randall

--
Brief whoami: NonStop&UNIX developer since approximately
UNIX(421664400)
NonStop(211288444200000000)
-- In real life, I talk too much.